Loading...
Searching...
No Matches
Ogre::RTShader::SubRenderStateAccessor Class Reference
Optional Components » RTShaderSystem

This class uses as accessor from a template SubRenderState to all of its instances that created based on it. More...

`#include <OgreShaderSubRenderState.h>`

## Public Member Functions

void | addSubRenderStateInstance (SubRenderState *subRenderState) const
| Add SubRenderState instance to this accessor.
SubRenderStateSet & | getSubRenderStateInstanceSet ()
| Return a set of all instances of the template SubRenderState.
const SubRenderStateSet & | getSubRenderStateInstanceSet () const
| Return a set of all instances of the template SubRenderState.
void | removeSubRenderStateInstance (SubRenderState *subRenderState) const
| Remove SubRenderState instance to this accessor.

## Detailed Description

This class uses as accessor from a template SubRenderState to all of its instances that created based on it.

Since SubRenderState that added as templates to a RenderState are not directly used by the system this class enable accessing the used instances. A common usage will be add a SubRenderState to certain pass, obtain accessor and then call a method on the instanced SubRenderState that will trigger some GPU uniform parameter updates.

## Member Function Documentation

## addSubRenderStateInstance()

void Ogre::RTShader::SubRenderStateAccessor::addSubRenderStateInstance | ( | SubRenderState * | subRenderState | ) | const

inline

Add SubRenderState instance to this accessor.

References SubRenderState.

## removeSubRenderStateInstance()

void Ogre::RTShader::SubRenderStateAccessor::removeSubRenderStateInstance | ( | SubRenderState * | subRenderState | ) | const

inline

Remove SubRenderState instance to this accessor.

References SubRenderState.

## getSubRenderStateInstanceSet() [1/2]

SubRenderStateSet & Ogre::RTShader::SubRenderStateAccessor::getSubRenderStateInstanceSet | ( |  | ) |

inline

Return a set of all instances of the template SubRenderState.

## getSubRenderStateInstanceSet() [2/2]

const SubRenderStateSet & Ogre::RTShader::SubRenderStateAccessor::getSubRenderStateInstanceSet | ( |  | ) | const

inline

Return a set of all instances of the template SubRenderState.

(const version).

The documentation for this class was generated from the following file:

- OgreShaderSubRenderState.h